Cantera 2.6.0

Public Member Functions | Public Attributes | List of all members
ThirdBody Class Reference

A class for managing third-body efficiencies, including default values. More...

`#include <Reaction.h>`

## Public Member Functions
| ThirdBody (double default_efficiency=1.0)
| ThirdBody (const AnyMap &node)
void | setEfficiencies (const AnyMap &node)
| Set third-body efficiencies from AnyMap node More...
double | efficiency (const std::string &k) const
| Get the third-body efficiency for species k More...

## Public Attributes
Composition | efficiencies
| Map of species to third body efficiency. More...
double | default_efficiency
| The default third body efficiency for species not listed in efficiencies. More...
bool | specified_collision_partner
| Input explicitly specifies collision partner. More...
bool | mass_action
| Third body is used by law of mass action (`true` for three-body reactions, `false` for falloff reactions) More...

## Detailed Description

A class for managing third-body efficiencies, including default values.

Definition at line 237 of file Reaction.h.

## Constructor & Destructor Documentation

## ◆ ThirdBody() [1/2]

ThirdBody | ( | double | default_efficiency = `1.0` | ) |
| explicit

Definition at line 610 of file Reaction.cpp.

## ◆ ThirdBody() [2/2]

ThirdBody | ( | const AnyMap & | node | ) |

Definition at line 617 of file Reaction.cpp.

## Member Function Documentation

## ◆ setEfficiencies()

void setEfficiencies | ( | const AnyMap & | node | ) |

Set third-body efficiencies from AnyMap node

Definition at line 624 of file Reaction.cpp.

References ThirdBody::default_efficiency, ThirdBody::efficiencies, AnyMap::getDouble(), and AnyMap::hasKey().

## ◆ efficiency()

double efficiency | ( | const std::string & | k | ) | const

Get the third-body efficiency for species k

Definition at line 632 of file Reaction.cpp.

References ThirdBody::default_efficiency, ThirdBody::efficiencies, and Cantera::getValue().

## Member Data Documentation

## ◆ efficiencies

Composition efficiencies

Map of species to third body efficiency.

Definition at line 251 of file Reaction.h.

Referenced by GasKinetics::addFalloffReaction(), GasKinetics::addThreeBodyReaction(), ThirdBody::efficiency(), ThreeBodyReaction2::getParameters(), FalloffReaction2::getParameters(), ThreeBodyReaction2::productString(), FalloffReaction2::productString(), ThreeBodyReaction2::reactantString(), FalloffReaction2::reactantString(), ThirdBody::setEfficiencies(), ThreeBodyReaction2::undeclaredThirdBodies(), and FalloffReaction2::undeclaredThirdBodies().

## ◆ default_efficiency

double default_efficiency

The default third body efficiency for species not listed in efficiencies.

Definition at line 255 of file Reaction.h.

Referenced by GasKinetics::addFalloffReaction(), GasKinetics::addThreeBodyReaction(), ThirdBody::efficiency(), ThreeBodyReaction2::getParameters(), FalloffReaction2::getParameters(), FalloffReaction2::productString(), FalloffReaction2::reactantString(), and ThirdBody::setEfficiencies().

## ◆ specified_collision_partner

bool specified_collision_partner

Input explicitly specifies collision partner.

Definition at line 258 of file Reaction.h.

Referenced by ThreeBodyReaction2::getParameters(), ThreeBodyReaction2::productString(), ThreeBodyReaction2::reactantString(), and ThreeBodyReaction2::undeclaredThirdBodies().

## ◆ mass_action

bool mass_action

Third body is used by law of mass action (`true` for three-body reactions, `false` for falloff reactions)

Definition at line 262 of file Reaction.h.

The documentation for this class was generated from the following files:

- Reaction.h
- Reaction.cpp